curl --request GET \
--url https://api.copper.co/platform/clearloop/actions/{actionId}import requests
url = "https://api.copper.co/platform/clearloop/actions/{actionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/clearloop/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": "<string>",
"amount": "<string>",
"clientAccountId": "<string>",
"createdAt": "<string>",
"currency": "<string>",
"delegatedOrganizationId": "<string>",
"organizationId": "<string>",
"clearLoopPortfolioId": "<string>",
"completedAt": "<string>",
"exchangeId": "<string>",
"network": "<string>",
"orderId": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"usdAmount": "<string>"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get ClearLoop Action by ID
Path Parameters
Response
OK
Type of action performed: add-funds (delegate) or remove-funds (undelegate)
Amount of funds involved in the action
Unique identifier of the client’s exchange account
Unix timestamp (in milliseconds) when the action was initiated
Currency in which the action was performed
Identifier of the organisation on the exchange to which the balance is delegated
Identifier of the client organisation initiating the action
ClearLoop portfolioId
Unix timestamp (in milliseconds) when the action was completed
Identifier of the exchange where the delegated balance is held
Network used for the currency
Unique identifier of the order associated with the action
Status of the action (e.g. executed)
Unix timestamp (in milliseconds) when the action was last updated
USD equivalent of the amount at the time of execution
Was this page helpful?